from dip.automate import AutomationCommands

# We are automating a non-dip application so we need to explicitly reference
# the toolkit so that the adapters are registered.
from dip.toolkits import Toolkit
Toolkit().instance


class AutomateName(AutomationCommands):
    """ This automation command will set the 'name' widget in the dialog. """

    def record(self, robot):
        robot.record('dialog.person:name', 'set', self.value)


class AutomateAge(AutomationCommands):
    """ This automation command will set the 'age' widget in the dialog. """

    def record(self, robot):
        robot.record('dialog.person:age', 'set', self.value)


class AutomateOk(AutomationCommands):
    """ This automation command will click the Ok button of the dialog. """

    def record(self, robot):
        robot.record('dialog.person', 'click', 'ok')


# Create the command sequence.
automation_commands = (AutomateName("Bill"), AutomateAge(30), AutomateOk())
